Bug 978611 - Bug: CSP Maps with incorrect or invalid XML do not build as expected
Bug: CSP Maps with incorrect or invalid XML do not build as expected
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: pressgang-ccms-dev
Depends On:
  Show dependency treegraph
Reported: 2013-06-26 19:29 EDT by Misha H. Ali
Modified: 2013-09-08 19:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.33.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-08 19:54:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Lee Newson 2013-06-26 19:38:59 EDT
The main cause of this is the error message produced by the invalid XML. In this case topic 20003 has an un-escaped ampersand and the error message isn't escaping the ampersand in the error message.
Comment 2 Lee Newson 2013-08-07 03:05:42 EDT
Fixed in 0.33.7

The error messages and tags are now escaped so that any keywords/characters are escaped as XML entities.

Also since I had to hide the initial comment due to our linking policy, here is the initial problem:

In some instances, CSP maps with incorrect or invalid XML end up breaking the docbuilder build for that map.

An example is CSP ID 19999, created by a new writer. Expected behavior, unless I'm mistaken, is for the book to appear with errors for the topics that contain invalid or incorrect XML.

*** publican.log ***

not well-formed (invalid token) at line 9, column 110, byte 734:
<chapter><title>Compiler Output</title><itemizedlist id="TagErrorXRef20003" ><title>Topic ID 20003</title><listitem><para>INFO: Topic Types: Concept  Assigned Writer: rghatvis </para></listitem>
<listitem><para>INFO: <ulink url="SNIP">Topic URL</ulink></para></listitem>
<listitem><para>ERROR: This topic doesn't have well-formed xml. The entity name must immediately follow the '&' in the entity reference. The processed XML is <programlisting><![CDATA[<section>
  <!-- Topic type: Concept -->
 at /usr/lib64/perl5/XML/Parser.pm line 187
[31mWARNING: Unknow config key git_branch, ignoring.
[0mSetting up en-US
	Processing file tmp/en-US/xml/Common_Content/Conventions.xml -> tmp/en-US/xml/Common_Content/Conventions.xml
	Processing file tmp/en-US/xml/Common_Content/Feedback.xml -> tmp/en-US/xml/Common_Content/Feedback.xml
	Processing file tmp/en-US/xml/Common_Content/Legal_Notice.xml -> tmp/en-US/xml/Common_Content/Legal_Notice.xml
	Processing file tmp/en-US/xml/Common_Content/Program_Listing.xml -> tmp/en-US/xml/Common_Content/Program_Listing.xml
	Processing file tmp/en-US/xml/Common_Content/Revision_History.xml -> tmp/en-US/xml/Common_Content/Revision_History.xml
	Processing file tmp/en-US/xml_tmp/Author_Group.xml -> tmp/en-US/xml/Author_Group.xml
	Processing file tmp/en-US/xml_tmp/Book_Info.xml -> tmp/en-US/xml/Book_Info.xml
	Processing file tmp/en-US/xml_tmp/Errors.xml -> tmp/en-US/xml/Errors.xml

*** end publican.log ***
Comment 3 Lee Newson 2013-09-08 19:54:23 EDT
This was released as part of 1.0.0

Note You need to log in before you can comment on or make changes to this bug.